Bug 1730469 - Review Request: tesseract-tessdata - Trained models for the Tesseract Open Source OCR Engine
Summary: Review Request: tesseract-tessdata - Trained models for the Tesseract Open So...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 19:46 UTC by Sandro Mani
Modified: 2019-07-23 08:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-22 10:50:37 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2019-07-16 19:46:58 UTC
Spec URL: https://smani.fedorapeople.org/review/tesseract-tessdata.spec
SRPM URL: https://smani.fedorapeople.org/review/tesseract-tessdata-4.0.0-1.fc31.src.rpm
Description: Trained models for the Tesseract Open Source OCR Engine
Fedora Account System Username: smani

This package simply splits out the tessdata from the current tesseract package. The reason for doing so is that the tessdatas are not always updated along with a new tesseract release, and hence their version is not always kept on-par with the tesseract version.

Comment 1 Elliott Sales de Andrade 2019-07-17 00:03:17 UTC
fedora-review fails to install these:

 Problem: conflicting requests
  - nothing provides tesseract-tessdata = 4.0.0-1.fc31 needed by tesseract-osd-4.0.0-1.fc31.noarch


There is no tesseract-tessdata here, or at least, no %files specified for it (I assume it needs to own the directory?)

rpmlint also complains about:

warning: Macro %langcode defined but not used within scope

and using %define instead of %global, but I see why those are used at least (though maybe the top macro could be %global?) Personally, I'd write them in Lua instead, but that's not required.

Comment 2 Elliott Sales de Andrade 2019-07-17 00:04:05 UTC
Also, Azerbaijani (Cyrilic) -> Azerbaijani (Cyrillic)

Comment 3 Sandro Mani 2019-07-17 08:55:32 UTC
Spec URL: https://smani.fedorapeople.org/review/tesseract-tessdata.spec
SRPM URL: https://smani.fedorapeople.org/review/tesseract-tessdata-4.0.0-2.fc31.src.rpm

%changelog
* Wed Jul 17 2019 Sandro Mani <manisandro@gmail.com> - 4.0.0-2
- Make all langpack / script subpackages require tesseract for tessdata dir ownership
- Fix tesseract-osd requires
- Fix typo cirilic -> cyrillic

(Note: this implies that tesseract will own the %{_datadir}/tesseract/tessdata directory)

Comment 4 Elliott Sales de Andrade 2019-07-17 10:05:36 UTC
- The information in the first %description doesn't end up anywhere; I would copy it into the subpackages as well (at least the bits about it being the "fast" version).
- You'll need to bump the Release to at least 5 when you build to override the existing versions.
- /usr/share/tesseract/tessdata/script appears to be unowned by tesseract or these subpackages

Other things that rpmlint complains about are not important.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated".
     162 files have unknown license. Detailed output of licensecheck in
     1730469-tesseract-tessdata/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/tesseract/tessdata/script
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/tesseract/tessdata/script
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     tesseract-osd , tesseract-langpack-* , tesseract-script-*
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tesseract-tessdata-doc-4.0.0-2.fc31.noarch.rpm
          tesseract-osd-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-afr-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-amh-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ara-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-asm-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-aze-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-aze_cyrl-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-bel-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ben-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-bod-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-bos-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-bre-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-bul-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-cat-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ceb-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ces-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-chi_sim-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-chi_sim_vert-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-chi_tra-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-chi_tra_vert-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-chr-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-cos-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-cym-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-dan-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-deu-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-div-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-dzo-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ell-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-eng-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-enm-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-epo-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-est-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-eus-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-fao-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-fas-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-fil-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-fin-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-fra-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-frk-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-frm-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-fry-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-gla-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-gle-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-glg-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-grc-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-guj-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-hat-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-heb-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-hin-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-hrv-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-hun-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-hye-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-iku-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ind-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-isl-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ita-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ita_old-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-jav-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-jpn-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-jpn_vert-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-kan-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-kat-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-kat_old-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-kaz-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-khm-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-kir-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-kor-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-kor_vert-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-kmr-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-lao-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-lat-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-lav-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-lit-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ltz-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-mal-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-mar-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-mkd-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-mlt-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-mon-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-mri-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-msa-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-mya-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-nep-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-nld-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-nor-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-oci-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ori-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-pan-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-pol-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-por-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-pus-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-que-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ron-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-rus-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-san-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-sin-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-slk-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-slv-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-snd-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-spa-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-spa_old-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-sqi-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-srp-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-srp_latn-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-sun-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-swa-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-swe-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-syr-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-tam-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-tat-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-tel-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-tgk-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-tha-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-tir-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ton-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-tur-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-uig-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-ukr-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-urd-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-uzb-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-uzb_cyrl-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-vie-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-yid-4.0.0-2.fc31.noarch.rpm
          tesseract-langpack-yor-4.0.0-2.fc31.noarch.rpm
          tesseract-script-arabic-4.0.0-2.fc31.noarch.rpm
          tesseract-script-armenian-4.0.0-2.fc31.noarch.rpm
          tesseract-script-bengali-4.0.0-2.fc31.noarch.rpm
          tesseract-script-canadian_aboriginal-4.0.0-2.fc31.noarch.rpm
          tesseract-script-cherokee-4.0.0-2.fc31.noarch.rpm
          tesseract-script-cyrillic-4.0.0-2.fc31.noarch.rpm
          tesseract-script-devanagari-4.0.0-2.fc31.noarch.rpm
          tesseract-script-ethiopic-4.0.0-2.fc31.noarch.rpm
          tesseract-script-fraktur-4.0.0-2.fc31.noarch.rpm
          tesseract-script-georgian-4.0.0-2.fc31.noarch.rpm
          tesseract-script-greek-4.0.0-2.fc31.noarch.rpm
          tesseract-script-gujarati-4.0.0-2.fc31.noarch.rpm
          tesseract-script-gurmukhi-4.0.0-2.fc31.noarch.rpm
          tesseract-script-hans-4.0.0-2.fc31.noarch.rpm
          tesseract-script-hans_vert-4.0.0-2.fc31.noarch.rpm
          tesseract-script-hant-4.0.0-2.fc31.noarch.rpm
          tesseract-script-hant_vert-4.0.0-2.fc31.noarch.rpm
          tesseract-script-hangul-4.0.0-2.fc31.noarch.rpm
          tesseract-script-hangul_vert-4.0.0-2.fc31.noarch.rpm
          tesseract-script-hebrew-4.0.0-2.fc31.noarch.rpm
          tesseract-script-japanese-4.0.0-2.fc31.noarch.rpm
          tesseract-script-japanese_vert-4.0.0-2.fc31.noarch.rpm
          tesseract-script-kannada-4.0.0-2.fc31.noarch.rpm
          tesseract-script-khmer-4.0.0-2.fc31.noarch.rpm
          tesseract-script-lao-4.0.0-2.fc31.noarch.rpm
          tesseract-script-latin-4.0.0-2.fc31.noarch.rpm
          tesseract-script-malayalam-4.0.0-2.fc31.noarch.rpm
          tesseract-script-myanmar-4.0.0-2.fc31.noarch.rpm
          tesseract-script-oriya-4.0.0-2.fc31.noarch.rpm
          tesseract-script-sinhala-4.0.0-2.fc31.noarch.rpm
          tesseract-script-syriac-4.0.0-2.fc31.noarch.rpm
          tesseract-script-tamil-4.0.0-2.fc31.noarch.rpm
          tesseract-script-telugu-4.0.0-2.fc31.noarch.rpm
          tesseract-script-thaana-4.0.0-2.fc31.noarch.rpm
          tesseract-script-thai-4.0.0-2.fc31.noarch.rpm
          tesseract-script-tibetan-4.0.0-2.fc31.noarch.rpm
          tesseract-script-vietnamese-4.0.0-2.fc31.noarch.rpm
          tesseract-tessdata-4.0.0-2.fc31.src.rpm
tesseract-tessdata-doc.noarch: E: description-line-too-long C The tesseract-tessdata-doc package contains the documentation for tesseract-tessdata.
tesseract-osd.noarch: W: no-documentation
tesseract-langpack-*.noarch: W: no-documentation
tesseract-langpack-bel.noarch: W: spelling-error Summary(en_US) Belarusian -> Belorussian, Belarus, Rabelaisian
tesseract-langpack-bel.noarch: W: spelling-error %description -l en_US Belarusian -> Belorussian, Belarus, Rabelaisian
tesseract-langpack-div.noarch: W: spelling-error Summary(en_US) Dhivehi -> Beehive
tesseract-langpack-div.noarch: W: spelling-error %description -l en_US Dhivehi -> Beehive
tesseract-langpack-dzo.noarch: W: spelling-error Summary(en_US) Dzongkha -> Tsongkhapa
tesseract-langpack-dzo.noarch: W: spelling-error %description -l en_US Dzongkha -> Tsongkhapa
tesseract-langpack-fao.noarch: W: spelling-error Summary(en_US) Faroese -> Farragoes
tesseract-langpack-fao.noarch: W: spelling-error %description -l en_US Faroese -> Farragoes
tesseract-langpack-fil.noarch: W: spelling-error Summary(en_US) Pilipino -> Filipino, Philippine
tesseract-langpack-fil.noarch: W: spelling-error %description -l en_US Pilipino -> Filipino, Philippine
tesseract-langpack-frk.noarch: W: spelling-error Summary(en_US) Fraktur -> Fracture
tesseract-langpack-frk.noarch: W: spelling-error %description -l en_US Fraktur -> Fracture
tesseract-langpack-glg.noarch: W: spelling-error Summary(en_US) Galician -> Clinician, Galvanic, Alicia
tesseract-langpack-glg.noarch: W: spelling-error %description -l en_US Galician -> Clinician, Galvanic, Alicia
tesseract-langpack-kir.noarch: W: spelling-error Summary(en_US) Kyrgyz -> Kyrgyzstan
tesseract-langpack-kir.noarch: W: spelling-error %description -l en_US Kyrgyz -> Kyrgyzstan
tesseract-langpack-kmr.noarch: W: spelling-error Summary(en_US) Kurmanji -> Murmansk
tesseract-langpack-kmr.noarch: W: spelling-error %description -l en_US Kurmanji -> Murmansk
tesseract-langpack-ltz.noarch: W: spelling-error Summary(en_US) Luxembourgish -> Luxembourgian, Luxembourger, Luxembourg
tesseract-langpack-ltz.noarch: W: spelling-error %description -l en_US Luxembourgish -> Luxembourgian, Luxembourger, Luxembourg
tesseract-langpack-oci.noarch: W: spelling-error Summary(en_US) Occitan -> Occidental
tesseract-langpack-oci.noarch: W: spelling-error %description -l en_US Occitan -> Occidental
tesseract-langpack-pan.noarch: W: spelling-error Summary(en_US) Panjabi -> Punjabi, Punjab
tesseract-langpack-pan.noarch: W: spelling-error %description -l en_US Panjabi -> Punjabi, Punjab
tesseract-langpack-pus.noarch: W: spelling-error Summary(en_US) Pashto -> Pastor
tesseract-langpack-pus.noarch: W: spelling-error %description -l en_US Pashto -> Pastor
tesseract-langpack-que.noarch: W: spelling-error Summary(en_US) Quechuan -> Quechua, Quechua n, Quenchable
tesseract-langpack-que.noarch: W: spelling-error %description -l en_US Quechuan -> Quechua, Quechua n, Quenchable
tesseract-langpack-sin.noarch: W: spelling-error Summary(en_US) Sinhala -> Sinhalese
tesseract-langpack-sin.noarch: W: spelling-error %description -l en_US Sinhala -> Sinhalese
tesseract-langpack-tgk.noarch: W: spelling-error Summary(en_US) Tajik -> Tamika
tesseract-langpack-tgk.noarch: W: spelling-error %description -l en_US Tajik -> Tamika
tesseract-langpack-tir.noarch: W: spelling-error Summary(en_US) Tigrinya -> Kirinyaga
tesseract-langpack-tir.noarch: W: spelling-error %description -l en_US Tigrinya -> Kirinyaga
tesseract-langpack-uig.noarch: W: spelling-error Summary(en_US) Uyghur -> Uighur
tesseract-langpack-uig.noarch: W: spelling-error %description -l en_US Uyghur -> Uighur
tesseract-script-*.noarch: W: no-documentation
tesseract-tessdata.src:2: W: macro-in-comment %{commit}
tesseract-tessdata.src:58: E: buildarch-instead-of-exclusivearch-tag noarch\
tesseract-tessdata.src:81: E: buildarch-instead-of-exclusivearch-tag noarch\
tesseract-tessdata.src: E: specfile-error warning: Macro expanded in comment on line 2: (c=%{commit}; echo ${c:0:7})
tesseract-tessdata.src: E: specfile-error 
tesseract-tessdata.src: E: specfile-error warning: Macro expanded in comment on line 2: (c=%{commit}; echo ${c:0:7})
tesseract-tessdata.src: E: specfile-error 
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
tesseract-tessdata.src: E: specfile-error warning: Macro %langcode defined but not used within scope
163 packages and 0 specfiles checked; 22 errors, 321 warnings.




Rpmlint (installed packages)
----------------------------
tesseract-langpack-*.noarch: W: no-documentation
tesseract-script-*.noarch: W: no-documentation
tesseract-langpack-ltz.noarch: W: spelling-error Summary(en_US) Luxembourgish -> Luxembourgian, Luxembourger, Luxembourg
tesseract-langpack-ltz.noarch: W: spelling-error %description -l en_US Luxembourgish -> Luxembourgian, Luxembourger, Luxembourg
tesseract-langpack-pus.noarch: W: spelling-error Summary(en_US) Pashto -> Pastor
tesseract-langpack-pus.noarch: W: spelling-error %description -l en_US Pashto -> Pastor
tesseract-langpack-que.noarch: W: spelling-error Summary(en_US) Quechuan -> Quechua, Quechua n, Quenchable
tesseract-langpack-que.noarch: W: spelling-error %description -l en_US Quechuan -> Quechua, Quechua n, Quenchable
tesseract-langpack-pan.noarch: W: spelling-error Summary(en_US) Panjabi -> Punjabi, Punjab
tesseract-langpack-pan.noarch: W: spelling-error %description -l en_US Panjabi -> Punjabi, Punjab
tesseract-langpack-tgk.noarch: W: spelling-error Summary(en_US) Tajik -> Tamika
tesseract-langpack-tgk.noarch: W: spelling-error %description -l en_US Tajik -> Tamika
tesseract-langpack-tir.noarch: W: spelling-error Summary(en_US) Tigrinya -> Kirinyaga
tesseract-langpack-tir.noarch: W: spelling-error %description -l en_US Tigrinya -> Kirinyaga
tesseract-langpack-fao.noarch: W: spelling-error Summary(en_US) Faroese -> Farragoes
tesseract-langpack-fao.noarch: W: spelling-error %description -l en_US Faroese -> Farragoes
tesseract-langpack-dzo.noarch: W: spelling-error Summary(en_US) Dzongkha -> Tsongkhapa
tesseract-langpack-dzo.noarch: W: spelling-error %description -l en_US Dzongkha -> Tsongkhapa
tesseract-langpack-frk.noarch: W: spelling-error Summary(en_US) Fraktur -> Fracture
tesseract-langpack-frk.noarch: W: spelling-error %description -l en_US Fraktur -> Fracture
tesseract-langpack-uig.noarch: W: spelling-error Summary(en_US) Uyghur -> Uighur
tesseract-langpack-uig.noarch: W: spelling-error %description -l en_US Uyghur -> Uighur
tesseract-langpack-div.noarch: W: spelling-error Summary(en_US) Dhivehi -> Beehive
tesseract-langpack-div.noarch: W: spelling-error %description -l en_US Dhivehi -> Beehive
tesseract-langpack-oci.noarch: W: spelling-error Summary(en_US) Occitan -> Occidental
tesseract-langpack-oci.noarch: W: spelling-error %description -l en_US Occitan -> Occidental
tesseract-langpack-sin.noarch: W: spelling-error Summary(en_US) Sinhala -> Sinhalese
tesseract-langpack-sin.noarch: W: spelling-error %description -l en_US Sinhala -> Sinhalese
tesseract-tessdata-doc.noarch: E: description-line-too-long C The tesseract-tessdata-doc package contains the documentation for tesseract-tessdata.
tesseract-langpack-kir.noarch: W: spelling-error Summary(en_US) Kyrgyz -> Kyrgyzstan
tesseract-langpack-kir.noarch: W: spelling-error %description -l en_US Kyrgyz -> Kyrgyzstan
tesseract-langpack-kmr.noarch: W: spelling-error Summary(en_US) Kurmanji -> Murmansk
tesseract-langpack-kmr.noarch: W: spelling-error %description -l en_US Kurmanji -> Murmansk
tesseract-langpack-bel.noarch: W: spelling-error Summary(en_US) Belarusian -> Belorussian, Belarus, Rabelaisian
tesseract-langpack-bel.noarch: W: spelling-error %description -l en_US Belarusian -> Belorussian, Belarus, Rabelaisian
tesseract-langpack-fil.noarch: W: spelling-error Summary(en_US) Pilipino -> Filipino, Philippine
tesseract-langpack-fil.noarch: W: spelling-error %description -l en_US Pilipino -> Filipino, Philippine
tesseract-langpack-glg.noarch: W: spelling-error Summary(en_US) Galician -> Clinician, Galvanic, Alicia
tesseract-langpack-glg.noarch: W: spelling-error %description -l en_US Galician -> Clinician, Galvanic, Alicia
162 packages and 0 specfiles checked; 1 errors, 359 warnings.



Source checksums
----------------
https://github.com/tesseract-ocr/tessdata_fast/archive/4.0.0/tessdata_fast-4.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : f1b71e97f27bafffb6a730ee66fd9dc021afc38f318fdc80a464a84a519227fe
  CHECKSUM(SHA256) upstream package : f1b71e97f27bafffb6a730ee66fd9dc021afc38f318fdc80a464a84a519227fe


Requires
--------
tesseract-tessdata-doc (rpmlib, GLIBC filtered):

tesseract-osd (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-afr (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-amh (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ara (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-asm (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-aze (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-aze_cyrl (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-bel (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ben (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-bod (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-bos (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-bre (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-bul (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-cat (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ceb (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ces (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-chi_sim (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-chi_sim_vert (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-chi_tra (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-chi_tra_vert (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-chr (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-cos (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-cym (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-dan (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-deu (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-div (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-dzo (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ell (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-eng (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-enm (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-epo (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-est (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-eus (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-fao (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-fas (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-fil (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-fin (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-fra (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-frk (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-frm (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-fry (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-gla (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-gle (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-glg (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-grc (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-guj (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-hat (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-heb (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-hin (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-hrv (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-hun (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-hye (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-iku (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ind (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-isl (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ita (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ita_old (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-jav (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-jpn (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-jpn_vert (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-kan (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-kat (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-kat_old (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-kaz (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-khm (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-kir (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-kor (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-kor_vert (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-kmr (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-lao (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-lat (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-lav (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-lit (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ltz (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-mal (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-mar (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-mkd (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-mlt (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-mon (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-mri (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-msa (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-mya (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-nep (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-nld (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-nor (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-oci (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ori (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-pan (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-pol (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-por (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-pus (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-que (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ron (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-rus (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-san (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-sin (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-slk (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-slv (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-snd (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-spa (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-spa_old (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-sqi (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-srp (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-srp_latn (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-sun (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-swa (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-swe (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-syr (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-tam (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-tat (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-tel (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-tgk (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-tha (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-tir (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ton (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-tur (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-uig (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-ukr (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-urd (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-uzb (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-uzb_cyrl (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-vie (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-yid (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-langpack-yor (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-arabic (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-armenian (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-bengali (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-canadian_aboriginal (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-cherokee (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-cyrillic (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-devanagari (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-ethiopic (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-fraktur (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-georgian (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-greek (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-gujarati (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-gurmukhi (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-hans (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-hans_vert (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-hant (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-hant_vert (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-hangul (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-hangul_vert (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-hebrew (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-japanese (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-japanese_vert (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-kannada (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-khmer (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-lao (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-latin (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-malayalam (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-myanmar (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-oriya (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-sinhala (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-syriac (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-tamil (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-telugu (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-thaana (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-thai (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-tibetan (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc

tesseract-script-vietnamese (rpmlib, GLIBC filtered):
    tesseract
    tesseract-tessdata-doc



Provides
--------
tesseract-tessdata-doc:
    tesseract-tessdata-doc

tesseract-osd:
    tesseract-osd

tesseract-langpack-afr:
    tesseract-langpack-afr
    tesseract-tessdata-langpack-af

tesseract-langpack-amh:
    tesseract-langpack-amh
    tesseract-tessdata-langpack-an

tesseract-langpack-ara:
    tesseract-langpack-ara
    tesseract-tessdata-langpack-ar

tesseract-langpack-asm:
    tesseract-langpack-asm
    tesseract-tessdata-langpack-as

tesseract-langpack-aze:
    tesseract-langpack-aze
    tesseract-tessdata-langpack-az

tesseract-langpack-aze_cyrl:
    tesseract-langpack-aze_cyrl

tesseract-langpack-bel:
    tesseract-langpack-bel
    tesseract-tessdata-langpack-bel

tesseract-langpack-ben:
    tesseract-langpack-ben
    tesseract-tessdata-langpack-bn

tesseract-langpack-bod:
    tesseract-langpack-bod
    tesseract-tessdata-langpack-bo

tesseract-langpack-bos:
    tesseract-langpack-bos
    tesseract-tessdata-langpack-bs

tesseract-langpack-bre:
    tesseract-langpack-bre
    tesseract-tessdata-langpack-br

tesseract-langpack-bul:
    tesseract-langpack-bul
    tesseract-tessdata-langpack-bg

tesseract-langpack-cat:
    tesseract-langpack-cat
    tesseract-tessdata-langpack-ca

tesseract-langpack-ceb:
    tesseract-langpack-ceb

tesseract-langpack-ces:
    tesseract-langpack-ces
    tesseract-tessdata-langpack-cs

tesseract-langpack-chi_sim:
    tesseract-langpack-chi_sim
    tesseract-tessdata-langpack-zh_CN

tesseract-langpack-chi_sim_vert:
    tesseract-langpack-chi_sim_vert
    tesseract-tessdata-langpack-zh_CN

tesseract-langpack-chi_tra:
    tesseract-langpack-chi_tra
    tesseract-tessdata-langpack-zh_TW

tesseract-langpack-chi_tra_vert:
    tesseract-langpack-chi_tra_vert
    tesseract-tessdata-langpack-zh_TW

tesseract-langpack-chr:
    tesseract-langpack-chr

tesseract-langpack-cos:
    tesseract-langpack-cos
    tesseract-tessdata-langpack-co

tesseract-langpack-cym:
    tesseract-langpack-cym
    tesseract-tessdata-langpack-cy

tesseract-langpack-dan:
    tesseract-langpack-dan
    tesseract-tessdata-langpack-da

tesseract-langpack-deu:
    tesseract-langpack-deu
    tesseract-tessdata-langpack-de

tesseract-langpack-div:
    tesseract-langpack-div
    tesseract-tessdata-langpack-dv

tesseract-langpack-dzo:
    tesseract-langpack-dzo

tesseract-langpack-ell:
    tesseract-langpack-ell
    tesseract-tessdata-langpack-el

tesseract-langpack-eng:
    tesseract-langpack-eng

tesseract-langpack-enm:
    tesseract-langpack-enm

tesseract-langpack-epo:
    tesseract-langpack-epo
    tesseract-tessdata-langpack-eo

tesseract-langpack-est:
    tesseract-langpack-est
    tesseract-tessdata-langpack-et

tesseract-langpack-eus:
    tesseract-langpack-eus
    tesseract-tessdata-langpack-eu

tesseract-langpack-fao:
    tesseract-langpack-fao
    tesseract-tessdata-langpack-fo

tesseract-langpack-fas:
    tesseract-langpack-fas
    tesseract-tessdata-langpack-fa

tesseract-langpack-fil:
    tesseract-langpack-fil

tesseract-langpack-fin:
    tesseract-langpack-fin
    tesseract-tessdata-langpack-fi

tesseract-langpack-fra:
    tesseract-langpack-fra
    tesseract-tessdata-langpack-fr

tesseract-langpack-frk:
    tesseract-langpack-frk

tesseract-langpack-frm:
    tesseract-langpack-frm

tesseract-langpack-fry:
    tesseract-langpack-fry
    tesseract-tessdata-langpack-fy

tesseract-langpack-gla:
    tesseract-langpack-gla
    tesseract-tessdata-langpack-gd

tesseract-langpack-gle:
    tesseract-langpack-gle
    tesseract-tessdata-langpack-ga

tesseract-langpack-glg:
    tesseract-langpack-glg
    tesseract-tessdata-langpack-gl

tesseract-langpack-grc:
    tesseract-langpack-grc

tesseract-langpack-guj:
    tesseract-langpack-guj
    tesseract-tessdata-langpack-gu

tesseract-langpack-hat:
    tesseract-langpack-hat
    tesseract-tessdata-langpack-ht

tesseract-langpack-heb:
    tesseract-langpack-heb
    tesseract-tessdata-langpack-he

tesseract-langpack-hin:
    tesseract-langpack-hin
    tesseract-tessdata-langpack-hi

tesseract-langpack-hrv:
    tesseract-langpack-hrv
    tesseract-tessdata-langpack-hr

tesseract-langpack-hun:
    tesseract-langpack-hun
    tesseract-tessdata-langpack-hu

tesseract-langpack-hye:
    tesseract-langpack-hye
    tesseract-tessdata-langpack-hy

tesseract-langpack-iku:
    tesseract-langpack-iku
    tesseract-tessdata-langpack-iu

tesseract-langpack-ind:
    tesseract-langpack-ind
    tesseract-tessdata-langpack-id

tesseract-langpack-isl:
    tesseract-langpack-isl
    tesseract-tessdata-langpack-is

tesseract-langpack-ita:
    tesseract-langpack-ita
    tesseract-tessdata-langpack-it

tesseract-langpack-ita_old:
    tesseract-langpack-ita_old

tesseract-langpack-jav:
    tesseract-langpack-jav
    tesseract-tessdata-langpack-jav

tesseract-langpack-jpn:
    tesseract-langpack-jpn
    tesseract-tessdata-langpack-ja

tesseract-langpack-jpn_vert:
    tesseract-langpack-jpn_vert
    tesseract-tessdata-langpack-ja

tesseract-langpack-kan:
    tesseract-langpack-kan
    tesseract-tessdata-langpack-kn

tesseract-langpack-kat:
    tesseract-langpack-kat
    tesseract-tessdata-langpack-ka

tesseract-langpack-kat_old:
    tesseract-langpack-kat_old

tesseract-langpack-kaz:
    tesseract-langpack-kaz
    tesseract-tessdata-langpack-kk

tesseract-langpack-khm:
    tesseract-langpack-khm
    tesseract-tessdata-langpack-km

tesseract-langpack-kir:
    tesseract-langpack-kir
    tesseract-tessdata-langpack-ky

tesseract-langpack-kor:
    tesseract-langpack-kor
    tesseract-tessdata-langpack-ko

tesseract-langpack-kor_vert:
    tesseract-langpack-kor_vert
    tesseract-tessdata-langpack-ko

tesseract-langpack-kmr:
    tesseract-langpack-kmr
    tesseract-tessdata-langpack-ku

tesseract-langpack-lao:
    tesseract-langpack-lao
    tesseract-tessdata-langpack-lo

tesseract-langpack-lat:
    tesseract-langpack-lat
    tesseract-tessdata-langpack-lat

tesseract-langpack-lav:
    tesseract-langpack-lav
    tesseract-tessdata-langpack-lv

tesseract-langpack-lit:
    tesseract-langpack-lit
    tesseract-tessdata-langpack-lt

tesseract-langpack-ltz:
    tesseract-langpack-ltz
    tesseract-tessdata-langpack-lb

tesseract-langpack-mal:
    tesseract-langpack-mal
    tesseract-tessdata-langpack-ml

tesseract-langpack-mar:
    tesseract-langpack-mar
    tesseract-tessdata-langpack-mr

tesseract-langpack-mkd:
    tesseract-langpack-mkd
    tesseract-tessdata-langpack-mk

tesseract-langpack-mlt:
    tesseract-langpack-mlt
    tesseract-tessdata-langpack-mt

tesseract-langpack-mon:
    tesseract-langpack-mon
    tesseract-tessdata-langpack-mn

tesseract-langpack-mri:
    tesseract-langpack-mri
    tesseract-tessdata-langpack-mi

tesseract-langpack-msa:
    tesseract-langpack-msa
    tesseract-tessdata-langpack-ms

tesseract-langpack-mya:
    tesseract-langpack-mya
    tesseract-tessdata-langpack-my

tesseract-langpack-nep:
    tesseract-langpack-nep
    tesseract-tessdata-langpack-ne

tesseract-langpack-nld:
    tesseract-langpack-nld
    tesseract-tessdata-langpack-nl

tesseract-langpack-nor:
    tesseract-langpack-nor
    tesseract-tessdata-langpack-no

tesseract-langpack-oci:
    tesseract-langpack-oci
    tesseract-tessdata-langpack-oc

tesseract-langpack-ori:
    tesseract-langpack-ori
    tesseract-tessdata-langpack-or

tesseract-langpack-pan:
    tesseract-langpack-pan
    tesseract-tessdata-langpack-pa

tesseract-langpack-pol:
    tesseract-langpack-pol
    tesseract-tessdata-langpack-pl

tesseract-langpack-por:
    tesseract-langpack-por
    tesseract-tessdata-langpack-pt

tesseract-langpack-pus:
    tesseract-langpack-pus
    tesseract-tessdata-langpack-ps

tesseract-langpack-que:
    tesseract-langpack-que
    tesseract-tessdata-langpack-qu

tesseract-langpack-ron:
    tesseract-langpack-ron
    tesseract-tessdata-langpack-ro

tesseract-langpack-rus:
    tesseract-langpack-rus
    tesseract-tessdata-langpack-ru

tesseract-langpack-san:
    tesseract-langpack-san
    tesseract-tessdata-langpack-sa

tesseract-langpack-sin:
    tesseract-langpack-sin
    tesseract-tessdata-langpack-si

tesseract-langpack-slk:
    tesseract-langpack-slk
    tesseract-tessdata-langpack-sk

tesseract-langpack-slv:
    tesseract-langpack-slv
    tesseract-tessdata-langpack-sl

tesseract-langpack-snd:
    tesseract-langpack-snd
    tesseract-tessdata-langpack-sd

tesseract-langpack-spa:
    tesseract-langpack-spa
    tesseract-tessdata-langpack-es

tesseract-langpack-spa_old:
    tesseract-langpack-spa_old

tesseract-langpack-sqi:
    tesseract-langpack-sqi
    tesseract-tessdata-langpack-sq

tesseract-langpack-srp:
    tesseract-langpack-srp
    tesseract-tessdata-langpack-sr

tesseract-langpack-srp_latn:
    tesseract-langpack-srp_latn

tesseract-langpack-sun:
    tesseract-langpack-sun
    tesseract-tessdata-langpack-su

tesseract-langpack-swa:
    tesseract-langpack-swa
    tesseract-tessdata-langpack-sw

tesseract-langpack-swe:
    tesseract-langpack-swe
    tesseract-tessdata-langpack-sv

tesseract-langpack-syr:
    tesseract-langpack-syr
    tesseract-tessdata-langpack-ar_SY

tesseract-langpack-tam:
    tesseract-langpack-tam
    tesseract-tessdata-langpack-ta

tesseract-langpack-tat:
    tesseract-langpack-tat
    tesseract-tessdata-langpack-tt

tesseract-langpack-tel:
    tesseract-langpack-tel
    tesseract-tessdata-langpack-te

tesseract-langpack-tgk:
    tesseract-langpack-tgk
    tesseract-tessdata-langpack-tg

tesseract-langpack-tha:
    tesseract-langpack-tha
    tesseract-tessdata-langpack-th

tesseract-langpack-tir:
    tesseract-langpack-tir
    tesseract-tessdata-langpack-ti

tesseract-langpack-ton:
    tesseract-langpack-ton
    tesseract-tessdata-langpack-to

tesseract-langpack-tur:
    tesseract-langpack-tur
    tesseract-tessdata-langpack-tr

tesseract-langpack-uig:
    tesseract-langpack-uig
    tesseract-tessdata-langpack-ug

tesseract-langpack-ukr:
    tesseract-langpack-ukr
    tesseract-tessdata-langpack-uk

tesseract-langpack-urd:
    tesseract-langpack-urd
    tesseract-tessdata-langpack-ur

tesseract-langpack-uzb:
    tesseract-langpack-uzb
    tesseract-tessdata-langpack-uz

tesseract-langpack-uzb_cyrl:
    tesseract-langpack-uzb_cyrl

tesseract-langpack-vie:
    tesseract-langpack-vie
    tesseract-tessdata-langpack-vi

tesseract-langpack-yid:
    tesseract-langpack-yid
    tesseract-tessdata-langpack-yi

tesseract-langpack-yor:
    tesseract-langpack-yor
    tesseract-tessdata-langpack-yo

tesseract-script-arabic:
    tesseract-script-arabic

tesseract-script-armenian:
    tesseract-script-armenian

tesseract-script-bengali:
    tesseract-script-bengali

tesseract-script-canadian_aboriginal:
    tesseract-script-canadian_aboriginal

tesseract-script-cherokee:
    tesseract-script-cherokee

tesseract-script-cyrillic:
    tesseract-script-cyrillic

tesseract-script-devanagari:
    tesseract-script-devanagari

tesseract-script-ethiopic:
    tesseract-script-ethiopic

tesseract-script-fraktur:
    tesseract-script-fraktur

tesseract-script-georgian:
    tesseract-script-georgian

tesseract-script-greek:
    tesseract-script-greek

tesseract-script-gujarati:
    tesseract-script-gujarati

tesseract-script-gurmukhi:
    tesseract-script-gurmukhi

tesseract-script-hans:
    tesseract-script-hans

tesseract-script-hans_vert:
    tesseract-script-hans_vert

tesseract-script-hant:
    tesseract-script-hant

tesseract-script-hant_vert:
    tesseract-script-hant_vert

tesseract-script-hangul:
    tesseract-script-hangul

tesseract-script-hangul_vert:
    tesseract-script-hangul_vert

tesseract-script-hebrew:
    tesseract-script-hebrew

tesseract-script-japanese:
    tesseract-script-japanese

tesseract-script-japanese_vert:
    tesseract-script-japanese_vert

tesseract-script-kannada:
    tesseract-script-kannada

tesseract-script-khmer:
    tesseract-script-khmer

tesseract-script-lao:
    tesseract-script-lao

tesseract-script-latin:
    tesseract-script-latin

tesseract-script-malayalam:
    tesseract-script-malayalam

tesseract-script-myanmar:
    tesseract-script-myanmar

tesseract-script-oriya:
    tesseract-script-oriya

tesseract-script-sinhala:
    tesseract-script-sinhala

tesseract-script-syriac:
    tesseract-script-syriac

tesseract-script-tamil:
    tesseract-script-tamil

tesseract-script-telugu:
    tesseract-script-telugu

tesseract-script-thaana:
    tesseract-script-thaana

tesseract-script-thai:
    tesseract-script-thai

tesseract-script-tibetan:
    tesseract-script-tibetan

tesseract-script-vietnamese:
    tesseract-script-vietnamese



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1730469 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Ocaml, SugarActivity, C/C++, Java, Python, R, PHP, fonts, Perl, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Sandro Mani 2019-07-17 11:59:09 UTC
Spec URL: https://smani.fedorapeople.org/review/tesseract-tessdata.spec
SRPM URL: https://smani.fedorapeople.org/review/tesseract-tessdata-4.0.0-5.fc31.src.rpm

%changelog
* Wed Jul 17 2019 Sandro Mani <manisandro@gmail.com> - 4.0.0-5
- Improve subpackage descriptions
- Make script subpackages own the script directory
- Bump release to -5

Comment 6 Elliott Sales de Andrade 2019-07-17 21:38:13 UTC
LGTM

Comment 7 Sandro Mani 2019-07-17 21:42:46 UTC
Many thanks, let me know if I can review anything in exchange.

Comment 8 Elliott Sales de Andrade 2019-07-19 11:44:39 UTC
Well, I didn't, but I forgot I had to package this, so if you have time, there's bug 1731422.

PS, I don't believe you need an empty %build any more.

Comment 9 Mohan Boddu 2019-07-19 16:48:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/tesseract-tessdata

Comment 10 Sandro Mani 2019-07-22 09:46:16 UTC
> Well, I didn't, but I forgot I had to package this, so if you have time, there's bug 1731422.

Sorry, late to the show. Anything else?

Comment 11 Elliott Sales de Andrade 2019-07-23 04:15:02 UTC
This seems to have broken things a little: https://apps.fedoraproject.org/koschei/build/6714392

You need to depend on the eng subpackage from tesseract (or I need to add an explicit new dep on it, if you decide to make it not prioritized).

Comment 12 Sandro Mani 2019-07-23 08:21:18 UTC
I had initially thought about not prioritizing any language, but on second thoughts perhaps that wasn't the best plan. I've now added a Requires on tesseract-langpack-eng.


Note You need to log in before you can comment on or make changes to this bug.